<?php
// $Id: header-bg.php,v 1.1 2011/01/23 18:36:19 evgenij Exp $
/**
 * @Source code from Wordpress subpackage Default_Theme
 * @url: http://wordpress.org/extend/themes/default
 */
// If we don't have image processing support, redirect.
if ( !function_exists('imagecreate') )
	die(header("Location: header-bg.jpeg"));
// Assign and validate the color values
$default = false;
$h = 200;
$w = 1;
$vars = array('upper'=>array('r1', 'g1', 'b1'), 'lower'=>array('r2', 'g2', 'b2'));
foreach ( $vars as $var => $subvars ) {
	if ( isset($_GET[$var]) ) {
		foreach ( $subvars as $index => $subvar ) {
			$length = strlen($_GET[$var]) / 3;
			$v = substr($_GET[$var], $index * $length, $length);
			if ( $length == 1 ) $v = '' . $v . $v;
			$$subvar = hexdec( $v );
			if ( $$subvar < 0 || $$subvar > 255 )
				$default = true;
		}
	} else {
		$default = true;
	}
}
if ($default)
	list ( $r1, $g1, $b1, $r2, $g2, $b2 ) = array ( 105, 174, 231, 65, 128, 182 );
// Create the image
$im = imagecreate($w, $h);
imagecolorallocate($im, 231, 231, 231);
// Draw a new color thing
for ( $i = 0; $i < $h; $i++ ) {
	$x1 = 0;
	$x2 = 1;
	$r = ( $r2 - $r1 != 0 ) ? $r1 + ( $r2 - $r1 ) * ( $i / $h ) : $r1;
	$g = ( $g2 - $g1 != 0 ) ? $g1 + ( $g2 - $g1 ) * ( $i / $h ) : $g1;
	$b = ( $b2 - $b1 != 0 ) ? $b1 + ( $b2 - $b1 ) * ( $i / $h ) : $b1;
	$color = imagecolorallocate( $im, $r, $g, $b );
	imageline( $im, $x1, $i + 18, $x2, $i + 18, $color );
}
header("Content-Type: image/jpeg");
imagejpeg($im, '', 92);
imagedestroy($im);
?>
