<?php
// $Id: template.php,v 1.1 2011/01/23 18:36:19 evgenij Exp $*/
function phptemplate_get_custom_styles() {
  $load_settings = variable_init();
  $this_settings = $load_settings['theme_mydefaulttheme_settings'];
  if($this_settings['palette-title'] && $this_settings['palette-link'] && $this_settings['palette-top'] && $this_settings['palette-bottom'] && $this_settings['palette-text']){
  
  $custom_css = "<style type=\"text/css\">\n   body {\n   color: ".$this_settings['palette-text'].";\n   }\n   #header {\n   background-image: url(".base_path().path_to_theme()."/images/header-bg.php?upper=".substr($this_settings['palette-top'], 1)."&lower=".substr($this_settings['palette-bottom'], 1).");\n   }\n   div.admin-panel h3 {\n   border-bottom: 2px solid ".$this_settings['palette-link'].";\n   }\n   a:link, a:visited, div.admin-panel h3, #mission a, #mission a:visited, a:hover {\n   color: ".$this_settings['palette-link'].";\n   }\n   ul.links li {\n   border-left : 1px solid ".$this_settings['palette-link'].";\n   }\n   a.site-name, .site-slogan {\n   color: ".$this_settings['palette-title'].";\n   }\n   a.site-name {\n   text-decoration: none;\n   border-bottom: 0.2em dotted ".$this_settings['palette-title'].";\n   }\n   a.site-name:hover {\n   text-decoration: none;\n   border-bottom: 0.2em solid ".$this_settings['palette-title'].";\n   }\n      </style>\n";
} else {  
  $custom_css = "<link type=\"text/css\" rel=\"stylesheet\" media=\"all\" href=\"".base_path().path_to_theme()."/images/default.css\" />\n";
}
  return $custom_css;
}
?>
